Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface BusinessCalendarConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, weblogic.descriptor.DescriptorBean, DynamicMBean, MBeanRegistration, NotificationBroadcaster, weblogic.descriptor.SettableBean, weblogic.management.WebLogicMBean

Deprecated. Use com.bea.wli.calendar.management.BusinessCalendarMBean instead.

    public interface BusinessCalendarConfigurationMBean

extends weblogic.management.configuration.ConfigurationMBean

MBean for configuring business calendars.

Field Summary
`static long` | `CACHING_STUB_SVUID` Deprecated. The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `NAME` Deprecated. Bring it from the impl class to interface class.

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `calendarNameExists(String name)` Deprecated. Checks if a calendar with the given name exists.
`void` | `createCalendar(CalendarDocument cDoc)` Deprecated. Creates a new calendar from the information passed in the CalendarDocument.
`void` | `deleteCalendar(String calendarName)` Deprecated.
`void` | `deleteCalendars(String[] names)` Deprecated.
`String[]` | `getAllCalendarNames()` Deprecated.
`CalendarDocument[]` | `getAllCalendars()` Deprecated. Gets all calendars, includin rules info and mapped groups and users
`CalendarDocument` | `getCalendar(String calendarName)` Deprecated.
`CalendarDocument` | `getGroupCalendar(String groupId)` Deprecated.
`CalendarDocument` | `getSystemCalendar()` Deprecated.
`CalendarDocument` | `getUserCalendar(String userId)` Deprecated.
`void` | `setGroupCalendar(String groupId, String calendarName)` Deprecated.
`void` | `setUserCalendar(String userId, String calendarName)` Deprecated. Set the user's calendar.
`boolean` | `systemCalendarExists()` Deprecated.
`void` | `unsetGroupCalendar(String groupId)` Deprecated.
`void` | `unsetUserCalendar(String userId)` Deprecated.
`void` | `updateCalendar(String oldCalendarName, CalendarDocument cDoc)` Deprecated. Update the calendar - oldCalendarName, using the passed CalendarDocument.
`void` | `updateSystemCalendar(CalendarDocument cDoc)` Deprecated. Update the system calendar using the passed CalendarDocument.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getComments, getName, getNotes, isDefaultedMBean, isPersistenceEnabled, isSet, restoreDefaultValue, setComments, setDefaultedMBean, setName, setNotes, setPersistenceEnabled, touch, unSet`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  Deprecated.
  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

### NAME

    static final String NAME

  Deprecated.
  Bring it from the impl class to interface class.

  Since:
    9.0
  See Also:
    Constant Field Values

Method Detail

### calendarNameExists

    boolean calendarNameExists(String name)
                               throws MBeanException

  Deprecated.
  Checks if a calendar with the given name exists.

  Parameters:
    `name` -
  Returns:
  Throws:
    `MBeanException`

### createCalendar

    void createCalendar(CalendarDocument cDoc)
                        throws MBeanException

  Deprecated.
  Creates a new calendar from the information passed in the CalendarDocument.

  Parameters:
    `cDoc` -
  Throws:
    `MBeanException` - - if a calendar with the given name exists or of the document is not valid.

### getCalendar

    CalendarDocument getCalendar(String calendarName)
                                 throws MBeanException

  Deprecated.
  Parameters:
    `calendarName` -
  Returns:
    The CalendarDocument or null if a calendar with the given name does not exist.
  Throws:
    `MBeanException`

### updateCalendar

    void updateCalendar(String oldCalendarName,
                        CalendarDocument cDoc)
                        throws MBeanException

  Deprecated.
  Update the calendar - oldCalendarName, using the passed CalendarDocument. The name of the calendar is also updated based on the name passed in. Use updateSystemCalendar to update the system calendar.

  Parameters:
    `oldCalendarName` -
    `cDoc` -
  Throws:
    `MBeanException`

### updateSystemCalendar

    void updateSystemCalendar(CalendarDocument cDoc)
                              throws MBeanException

  Deprecated.
  Update the system calendar using the passed CalendarDocument. If the name of the calendar is differnt than the name of the existing system calendar, then the existing system calendar is changed to non-system calendar. If a calendar with this name does not exist then it is created.

  Parameters:
    `cDoc` -
  Throws:
    `MBeanException`

### deleteCalendar

    void deleteCalendar(String calendarName)
                        throws MBeanException

  Deprecated.
  Parameters:
    `calendarName` -
  Throws:
    `MBeanException`

### deleteCalendars

    void deleteCalendars(String[] names)
                         throws MBeanException

  Deprecated.
  Parameters:
    `names` -
  Throws:
    `MBeanException`

### systemCalendarExists

    boolean systemCalendarExists()
                                 throws MBeanException

  Deprecated.
  Returns:
  Throws:
    `MBeanException`

### getSystemCalendar

    CalendarDocument getSystemCalendar()
                                       throws MBeanException

  Deprecated.
  Returns:
  Throws:
    `MBeanException`

### getAllCalendarNames

    String[] getAllCalendarNames()
                                 throws MBeanException

  Deprecated.
  Returns:
  Throws:
    `MBeanException`

### getAllCalendars

    CalendarDocument[] getAllCalendars()
                                       throws MBeanException

  Deprecated.
  Gets all calendars, includin rules info and mapped groups and users

  Returns:
  Throws:
    `MBeanException`

### setUserCalendar

    void setUserCalendar(String userId,
                         String calendarName)
                         throws MBeanException

  Deprecated.
  Set the user's calendar. Does not do anything is either the given user or the calendar does not exist. A user can have only one calendar, so if a calendar is already mapped to the user then it is unmapped.

  Parameters:
    `userId` -
    `calendarName` -
  Throws:
    `MBeanException`

### unsetUserCalendar

    void unsetUserCalendar(String userId)
                           throws MBeanException

  Deprecated.
  Parameters:
    `userId` -
  Throws:
    `MBeanException`

### getUserCalendar

    CalendarDocument getUserCalendar(String userId)
                                     throws MBeanException

  Deprecated.
  Parameters:
    `userId` -
  Returns:
  Throws:
    `MBeanException`

### setGroupCalendar

    void setGroupCalendar(String groupId,
                          String calendarName)
                          throws MBeanException

  Deprecated.
  Parameters:
    `groupId` -
    `calendarName` -
  Throws:
    `MBeanException`

### unsetGroupCalendar

    void unsetGroupCalendar(String groupId)
                            throws MBeanException

  Deprecated.
  Parameters:
    `groupId` -
  Throws:
    `MBeanException`

### getGroupCalendar

    CalendarDocument getGroupCalendar(String groupId)
                                      throws MBeanException

  Deprecated.
  Parameters:
    `groupId` -
  Returns:
  Throws:
    `MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD